%define version 2.2
%define rel 1mdk

# spec file for package sfftobmp (Version 2.2  )
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

Name:          sfftobmp
License:       MIT
Group:         Communications
Version:       %version 
Release:       %rel
Summary:       Tool to transform SFF files to BMP
Buildrequires: libtiff-devel
Source:        %{name}-%{version}.tar.bz2
Patch0:        sfftobmp-dynlink-2.2.diff.bz2
Url:           http://sfftools.sourceforge.net/
BuildRoot:     %{_tmppath}/%{name}-%{version}

%description
SffToBmp is a converter tool, written in C++, to transform SFF files to BMP,
JPEG or multipage TIFF format.
In addition generation of PBM files (Portable Bitmap) is also possible which
can be transformed into nearby any other graphics format using the PBMPLUS
tools that are included in almost every Linux distribution nowadays.

%prep
%setup -q
%patch0 -p1

%build
%make 

%install
install -d $RPM_BUILD_ROOT/%{_bindir}
install exe/%{name} $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc doc/*

%changelog
* Mon Apr 29 2004 Steffen Barszus <st_barszus@gmx.de> 2.2-1mdk
- initial rpm for mandrake

* Tue Feb 04 2003 - ghillie@suse.de
- updated to 2.2 (includes writing TIFFs to stdout now)
- removed sfftobmp-stdout.diff as it has been included by upstream
  maintainer
* Mon Dec 16 2002 - gernot@hillier.de
- first package
